## websocketpp 0.3.0

=== CMakeLists.txt ===

############ Setup project and cmake

# Project name
project (websocketpp)

# Minimum cmake requirement. We should require a quite recent
# cmake for the dependency find macros etc. to be up to date.
cmake_minimum_required (VERSION 2.6)

set (WEBSOCKETPP_MAJOR_VERSION 0)
set (WEBSOCKETPP_MINOR_VERSION 3)
set (WEBSOCKETPP_PATCH_VERSION 0)
set (WEBSOCKETPP_VERSION ${WEBSOCKETPP_MAJOR_VERSION}.${WEBSOCKETPP_MINOR_VERSION}.${WEBSOCKETPP_PATCH_VERSION})

set(INSTALL_INCLUDE_DIR include CACHE PATH "Installation directory for header files")
if (WIN32 AND NOT CYGWIN)
  set (DEF_INSTALL_CMAKE_DIR cmake)
else ()
  set (DEF_INSTALL_CMAKE_DIR lib/cmake/websocketpp)
endif ()
set (INSTALL_CMAKE_DIR ${DEF_INSTALL_CMAKE_DIR} CACHE PATH "Installation directory for CMake files")

# Make relative paths absolute (needed later on)
foreach (p INCLUDE CMAKE)
  set (var INSTALL_${p}_DIR)
  if (NOT IS_ABSOLUTE "${${var}}")
    set (${var} "${CMAKE_INSTALL_PREFIX}/${${var}}")
  endif ()
endforeach ()

# Set CMake library search policy
if (COMMAND cmake_policy)
    cmake_policy (SET CMP0003 NEW)
    cmake_policy (SET CMP0005 NEW)
endif ()

# Disable unnecessary build types
set (CMAKE_CONFIGURATION_TYPES "Release;RelWithDebInfo;Debug" CACHE STRING "Configurations" FORCE)

# Include our cmake macros
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include (CMakeHelpers)

############ Paths

set (WEBSOCKETPP_ROOT ${CMAKE_CURRENT_SOURCE_DIR})
set (WEBSOCKETPP_INCLUDE ${WEBSOCKETPP_ROOT}/websocketpp)
set (WEBSOCKETPP_BUILD_ROOT ${CMAKE_CURRENT_BINARY_DIR})
set (WEBSOCKETPP_BIN ${WEBSOCKETPP_BUILD_ROOT}/bin)
set (WEBSOCKETPP_LIB ${WEBSOCKETPP_BUILD_ROOT}/lib)

# CMake install step prefix. I assume linux users want the prefix to
# be the default /usr or /usr/local so this is only adjusted on Windows.
# - Windows: Build the INSTALL project in your solution file.
# - Linux/OSX: make install.
if (MSVC)
    set (CMAKE_INSTALL_PREFIX "${WEBSOCKETPP_ROOT}/install")
endif ()

############  Build customization

# Override from command line "CMake -D<OPTION>=TRUE/FALSE/0/1/ON/OFF"
option (ENABLE_CPP11 "Build websocketpp with CPP11 features enabled." TRUE)
option (BUILD_EXAMPLES "Build websocketpp examples." FALSE)
option (BUILD_TESTS "Build websocketpp tests." FALSE)

if (BUILD_TESTS OR BUILD_EXAMPLES)

    ############ Compiler specific setup

    set (WEBSOCKETPP_PLATFORM_LIBS "")
    set (WEBSOCKETPP_PLATFORM_TSL_LIBS "")
    set (WEBSOCKETPP_BOOST_LIBS "")

    # VC9 and C++11 reasoning
    if (ENABLE_CPP11 AND MSVC AND MSVC90)
        message("* Detected Visual Studio 9 2008, disabling C++11 support.")
        set (ENABLE_CPP11 FALSE)
    endif ()

    # Detect clang. Not officially reported by cmake.
    execute_process(COMMAND "${CMAKE_CXX_COMPILER}" "-v" ERROR_VARIABLE CXX_VER_STDERR)
    if ("${CXX_VER_STDERR}" MATCHES ".*clang.*")
        set (CMAKE_COMPILER_IS_CLANGXX 1)
    endif ()

    # C++11 defines
    if (ENABLE_CPP11)
        add_definitions (-D_WEBSOCKETPP_CPP11_STL_)
    endif ()

    # Visual studio
    if (MSVC)
        set (WEBSOCKETPP_BOOST_LIBS system thread)
        set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /GL /Gy /GF /Ox /Ob2 /Ot /Oi /MP /arch:SSE2 /fp:fast")
        set (CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} /LTCG /INCREMENTAL:NO /OPT:REF /OPT:ICF")
        add_definitions (/W3 /wd4996 /wd4995 /wd4355)
        add_definitions (-DUNICODE -D_UNICODE)
        add_definitions (-D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS)
        add_definitions (-DNOMINMAX)
    endif ()

    # g++
    if (CMAKE_COMPILER_IS_GNUCXX)
        set (WEBSOCKETPP_PLATFORM_LIBS pthread rt)
        set (WEBSOCKETPP_PLATFORM_TSL_LIBS ssl crypto)
        set (WEBSOCKETPP_BOOST_LIBS system thread)
        set (CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS} "-std=c++0x")
        if (NOT APPLE)
            add_definitions (-DNDEBUG -Wall -Wcast-align) # todo: should we use CMAKE_C_FLAGS for these?
        endif ()

        # Try to detect version. Note: Not tested!
        execute_process (COMMAND ${CMAKE_CXX_COMPILER} "-dumpversion" OUTPUT_VARIABLE GCC_VERSION)
        if ("${GCC_VERSION}" STRGREATER "4.4.0")
            message("* C++11 support partially enabled due to GCC version ${GCC_VERSION}")
            set (WEBSOCKETPP_BOOST_LIBS system thread)
        endif ()
    endif ()

    # clang
    if (CMAKE_COMPILER_IS_CLANGXX)
        if (NOT APPLE)
            set (WEBSOCKETPP_PLATFORM_LIBS pthread rt)
        else()
            set (WEBSOCKETPP_PLATFORM_LIBS pthread)
        endif()
        set (WEBSOCKETPP_PLATFORM_TSL_LIBS ssl crypto)
        set (WEBSOCKETPP_BOOST_LIBS system thread)
        set (CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS} "-std=c++0x -stdlib=libc++") # todo: is libc++ really needed here?
        if (NOT APPLE)
            add_definitions (-DNDEBUG -Wall -Wno-padded) # todo: should we use CMAKE_C_FLAGS for these?
        endif ()
    endif ()

    # OSX, can override above.
    if (APPLE)
        add_definitions (-DNDEBUG -Wall)
    endif ()

    if (BUILD_EXAMPLES)
        list (APPEND WEBSOCKETPP_BOOST_LIBS random)
    endif()

    ############ Dependencies

    # Set BOOST_ROOT env variable or pass with cmake -DBOOST_ROOT=path.
    # BOOST_ROOT can also be defined by a previous run from cmake cache.
    if (NOT "$ENV{BOOST_ROOT_CPP11}" STREQUAL "")
        # Scons documentation for BOOST_ROOT_CPP11:
        # "look for optional second boostroot compiled with clang's libc++ STL library
        # this prevents warnings/errors when linking code built with two different
        # incompatible STL libraries."
        file (TO_CMAKE_PATH "$ENV{BOOST_ROOT_CPP11}" BOOST_ROOT)
        set (BOOST_ROOT ${BOOST_ROOT} CACHE PATH "BOOST_ROOT dependency path" FORCE)
    endif ()
    if ("${BOOST_ROOT}" STREQUAL "")
        file (TO_CMAKE_PATH "$ENV{BOOST_ROOT}" BOOST_ROOT)
        # Cache BOOST_ROOT for runs that do not define $ENV{BOOST_ROOT}.
        set (BOOST_ROOT ${BOOST_ROOT} CACHE PATH "BOOST_ROOT dependency path" FORCE)
    endif ()

    message ("* Configuring Boost")
    message (STATUS "-- Using BOOST_ROOT")
    message (STATUS "       " ${BOOST_ROOT})

    if (MSVC)
        set (Boost_USE_MULTITHREADED TRUE)
        set (Boost_USE_STATIC_LIBS TRUE)
    else ()
        set (Boost_USE_MULTITHREADED FALSE)
        set (Boost_USE_STATIC_LIBS FALSE)
    endif ()

    set (Boost_FIND_REQUIRED TRUE)
    set (Boost_FIND_QUIETLY TRUE)
    set (Boost_DEBUG FALSE)
    set (Boost_USE_MULTITHREADED TRUE)
    set (Boost_ADDITIONAL_VERSIONS "1.39.0" "1.40.0" "1.41.0" "1.42.0" "1.43.0" "1.44.0" "1.46.1") # todo: someone who knows better spesify these!

    find_package (Boost 1.39.0 COMPONENTS "${WEBSOCKETPP_BOOST_LIBS}")

    if (Boost_FOUND)
        # Boost is a project wide global dependency.
        include_directories (${Boost_INCLUDE_DIRS})
        link_directories (${Boost_LIBRARY_DIRS})

        # Pretty print status
        message (STATUS "-- Include Directories")
        foreach (include_dir ${Boost_INCLUDE_DIRS})
            message (STATUS "       " ${include_dir})
        endforeach ()
        message (STATUS "-- Library Directories")
        foreach (library_dir ${Boost_LIBRARY_DIRS})
            message (STATUS "       " ${library_dir})
        endforeach ()
        message (STATUS "-- Libraries")
        foreach (boost_lib ${Boost_LIBRARIES})
            message (STATUS "       " ${boost_lib})
        endforeach ()
        message ("")
    else ()
        message (FATAL_ERROR "Failed to find required dependency: boost")
    endif ()

    find_package(OpenSSL)
endif()

############ Add projects

# Add main library
add_subdirectory (websocketpp)

# Add examples
if (BUILD_EXAMPLES)
    add_subdirectory (examples)
endif ()

# Add tests
if (BUILD_TESTS)
    add_subdirectory (test)
endif ()

print_used_build_config()

export (PACKAGE websocketpp)

configure_file (websocketpp-config.cmake.in "${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/websocketpp-config.cmake" @ONLY)
configure_file (websocketpp-configVersion.cmake.in "${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/websocketpp-configVersion.cmake" @ONLY)

# Install the websocketpp-config.cmake and websocketpp-configVersion.cmake
install (FILES
  "${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/websocketpp-config.cmake"
  "${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/websocketpp-configVersion.cmake"
  DESTINATION "${INSTALL_CMAKE_DIR}" COMPONENT dev)

=== SConstruct ===
import os, sys, commands
env = Environment(ENV = os.environ)

# figure out a better way to configure this
if os.environ.has_key('CXX'):
    env['CXX'] = os.environ['CXX']

if os.environ.has_key('DEBUG'):
    env['DEBUG'] = os.environ['DEBUG']

if os.environ.has_key('CXXFLAGS'):
    #env['CXXFLAGS'] = os.environ['CXXFLAGS']
    env.Append(CXXFLAGS = os.environ['CXXFLAGS'])

if os.environ.has_key('LINKFLAGS'):
    #env['LDFLAGS'] = os.environ['LDFLAGS']
    env.Append(LINKFLAGS = os.environ['LINKFLAGS'])

## Boost
##
## Note: You need to either set BOOSTROOT to the root of a stock Boost distribution
## or set BOOST_INCLUDES and BOOST_LIBS if Boost comes with your OS distro e.g. and
## needs BOOST_INCLUDES=/usr/include/boost and BOOST_LIBS=/usr/lib like Ubuntu.
##
if os.environ.has_key('BOOSTROOT'):
    os.environ['BOOST_ROOT'] = os.environ['BOOSTROOT']

if os.environ.has_key('BOOST_ROOT'):
   env['BOOST_INCLUDES'] = os.environ['BOOST_ROOT']
   env['BOOST_LIBS'] = os.path.join(os.environ['BOOST_ROOT'], 'stage', 'lib')
elif os.environ.has_key('BOOST_INCLUDES') and os.environ.has_key('BOOST_LIBS'):
   env['BOOST_INCLUDES'] = os.environ['BOOST_INCLUDES']
   env['BOOST_LIBS'] = os.environ['BOOST_LIBS']
else:
   raise SCons.Errors.UserError, "Neither BOOST_ROOT, nor BOOST_INCLUDES + BOOST_LIBS was set!"

if os.environ.has_key('WSPP_ENABLE_CPP11'):
   env['WSPP_ENABLE_CPP11'] = True
else:
   env['WSPP_ENABLE_CPP11'] = False

boost_linkshared = False

def boostlibs(libnames,localenv):
   if localenv['PLATFORM'].startswith('win'):
      # Win/VC++ supports autolinking. nothing to do.
      # http://www.boost.org/doc/libs/1_49_0/more/getting_started/windows.html#auto-linking
      return []
   else:
      libs = []
      prefix = localenv['SHLIBPREFIX'] if boost_linkshared else localenv['LIBPREFIX']
      suffix = localenv['SHLIBSUFFIX'] if boost_linkshared else localenv['LIBSUFFIX']
      for name in libnames:
         lib = File(os.path.join(localenv['BOOST_LIBS'], '%sboost_%s%s' % (prefix, name, suffix)))
         libs.append(lib)
      return libs

if env['PLATFORM'].startswith('win'):
   env.Append(CPPDEFINES = ['WIN32',
                            'NDEBUG',
                            'WIN32_LEAN_AND_MEAN',
                            '_WIN32_WINNT=0x0600',
                            '_CONSOLE',
                            'BOOST_TEST_DYN_LINK',
                            'NOMINMAX',
                            '_WEBSOCKETPP_CPP11_MEMORY_',
                            '_WEBSOCKETPP_CPP11_FUNCTIONAL_'])
   arch_flags  = '/arch:SSE2'
   opt_flags   = '/Ox /Oi /fp:fast'
   warn_flags  = '/W3 /wd4996 /wd4995 /wd4355'
   env['CCFLAGS'] = '%s /EHsc /GR /GS- /MD /nologo %s %s' % (warn_flags, arch_flags, opt_flags)
   env['LINKFLAGS'] = '/INCREMENTAL:NO /MANIFEST /NOLOGO /OPT:REF /OPT:ICF /MACHINE:X86'
elif env['PLATFORM'] == 'posix':
   if env.has_key('DEBUG'):
      env.Append(CCFLAGS = ['-g', '-O0'])
   else:
      env.Append(CPPDEFINES = ['NDEBUG'])
      env.Append(CCFLAGS = ['-O1', '-fomit-frame-pointer'])
   env.Append(CCFLAGS = ['-Wall'])
   #env['LINKFLAGS'] = ''
elif env['PLATFORM'] == 'darwin':
   if not os.environ.has_key('CXX'):
      env['CXX'] = "clang++"
   if env.has_key('DEBUG'):
      env.Append(CCFLAGS = ['-g', '-O0'])
   else:
      env.Append(CPPDEFINES = ['NDEBUG'])
      env.Append(CCFLAGS = ['-O1', '-fomit-frame-pointer'])
   env.Append(CCFLAGS = ['-Wall'])
   #env['LINKFLAGS'] = ''

if env['PLATFORM'].startswith('win'):
   #env['LIBPATH'] = env['BOOST_LIBS']
   pass
else:
   env['LIBPATH'] = ['/usr/lib',
                     '/usr/local/lib'] #, env['BOOST_LIBS']

# Compiler specific warning flags
if env['CXX'].startswith('g++'):
   #env.Append(CCFLAGS = ['-Wconversion'])
   env.Append(CCFLAGS = ['-Wcast-align'])
   env.Append(CCFLAGS = ['-Wshadow'])
elif env['CXX'].startswith('clang++'):
   #env.Append(CCFLAGS = ['-Wcast-align'])
   #env.Append(CCFLAGS = ['-Wglobal-constructors'])
   #env.Append(CCFLAGS = ['-Wconversion'])
   env.Append(CCFLAGS = ['-Wno-padded'])
   env.Append(CCFLAGS = ['-Wshadow'])

   # Wpadded
   # Wsign-conversion

platform_libs = []
tls_libs = []

tls_build = False

if env['PLATFORM'] == 'posix':
   platform_libs = ['pthread', 'rt']
   tls_libs = ['ssl', 'crypto']
   tls_build = True
elif env['PLATFORM'] == 'darwin':
   tls_libs = ['ssl', 'crypto']
   tls_build = True
elif env['PLATFORM'].startswith('win'):
   # Win/VC++ supports autolinking. nothing to do.
   pass

## Append WebSocket++ path
env.Append(CPPPATH = ['#'])

##### Set up C++11 environment
polyfill_libs = [] # boost libraries used as drop in replacements for incomplete
				   # C++11 STL implementations
env_cpp11 = env.Clone ()

if env_cpp11['CXX'].startswith('g++'):
   # TODO: check g++ version
   GCC_VERSION = commands.getoutput(env_cpp11['CXX'] + ' -dumpversion')

   if GCC_VERSION > "4.4.0":
      print "C++11 build environment partially enabled"
      env_cpp11.Append(WSPP_CPP11_ENABLED = "true",CXXFLAGS = ['-std=c++0x'],TOOLSET = ['g++'],CPPDEFINES = ['_WEBSOCKETPP_CPP11_STL_'])
   else:
      print "C++11 build environment is not supported on this version of G++"
elif env_cpp11['CXX'].startswith('clang++'):
   print "C++11 build environment enabled"
   env.Append(CXXFLANGS = ['-stdlib=libc++'],LINKFLAGS=['-stdlib=libc++'])
   env_cpp11.Append(WSPP_CPP11_ENABLED = "true",CXXFLAGS = ['-std=c++0x','-stdlib=libc++'],LINKFLAGS = ['-stdlib=libc++'],TOOLSET = ['clang++'],CPPDEFINES = ['_WEBSOCKETPP_CPP11_STL_'])

   # look for optional second boostroot compiled with clang's libc++ STL library
   # this prevents warnings/errors when linking code built with two different
   # incompatible STL libraries.
   if os.environ.has_key('BOOST_ROOT_CPP11'):
      env_cpp11['BOOST_INCLUDES'] = os.environ['BOOST_ROOT_CPP11']
      env_cpp11['BOOST_LIBS'] = os.path.join(os.environ['BOOST_ROOT_CPP11'], 'stage', 'lib')
   elif os.environ.has_key('BOOST_INCLUDES_CPP11') and os.environ.has_key('BOOST_LIBS_CPP11'):
      env_cpp11['BOOST_INCLUDES'] = os.environ['BOOST_INCLUDES_CPP11']
      env_cpp11['BOOST_LIBS'] = os.environ['BOOST_LIBS_CPP11']
else:
   print "C++11 build environment disabled"

# if the build system is known to allow the isystem modifier for library include
# values then use it for the boost libraries. Otherwise just add them to the
# regular CPPPATH values.
if env['CXX'].startswith('g++') or env['CXX'].startswith('clang'):
	env.Append(CPPFLAGS = '-isystem ' + env['BOOST_INCLUDES'])
else:
	env.Append(CPPPATH = [env['BOOST_INCLUDES']])
env.Append(LIBPATH = [env['BOOST_LIBS']])

# if the build system is known to allow the isystem modifier for library include
# values then use it for the boost libraries. Otherwise just add them to the
# regular CPPPATH values.
if env_cpp11['CXX'].startswith('g++') or env_cpp11['CXX'].startswith('clang'):
	env_cpp11.Append(CPPFLAGS = '-isystem ' + env_cpp11['BOOST_INCLUDES'])
else:
	env_cpp11.Append(CPPPATH = [env_cpp11['BOOST_INCLUDES']])
env_cpp11.Append(LIBPATH = [env_cpp11['BOOST_LIBS']])

releasedir = 'build/release/'
debugdir = 'build/debug/'
testdir = 'build/test/'
builddir = releasedir

Export('env')
Export('env_cpp11')
Export('platform_libs')
Export('boostlibs')
Export('tls_libs')
Export('polyfill_libs')

## END OF CONFIG !!

## TARGETS:

if not env['PLATFORM'].startswith('win'):
    # Unit tests, add test folders with SConscript files to to_test list.
    to_test = ['utility','http','logger','random','processors','message_buffer','extension','transport/iostream','transport/asio','roles','endpoint','connection','transport'] #,'http','processors','connection'

    for t in to_test:
       new_tests = SConscript('#/test/'+t+'/SConscript',variant_dir = testdir + t, duplicate = 0)
       for a in new_tests:
          new_alias = Alias('test', [a], a.abspath)
          AlwaysBuild(new_alias)

# Main test application
#main = SConscript('#/examples/dev/SConscript',variant_dir = builddir + 'dev',duplicate = 0)

# echo_server
echo_server = SConscript('#/examples/echo_server/SConscript',variant_dir = builddir + 'echo_server',duplicate = 0)

# echo_server_tls
if tls_build:
    echo_server_tls = SConscript('#/examples/echo_server_tls/SConscript',variant_dir = builddir + 'echo_server_tls',duplicate = 0)
    echo_server_both = SConscript('#/examples/echo_server_both/SConscript',variant_dir = builddir + 'echo_server_both',duplicate = 0)

# broadcast_server
broadcast_server = SConscript('#/examples/broadcast_server/SConscript',variant_dir = builddir + 'broadcast_server',duplicate = 0)

# testee_server
testee_server = SConscript('#/examples/testee_server/SConscript',variant_dir = builddir + 'testee_server',duplicate = 0)

# testee_client
testee_client = SConscript('#/examples/testee_client/SConscript',variant_dir = builddir + 'testee_client',duplicate = 0)

# utility_client
utility_client = SConscript('#/examples/utility_client/SConscript',variant_dir = builddir + 'utility_client',duplicate = 0)

# debug_client
debug_client = SConscript('#/examples/debug_client/SConscript',variant_dir = builddir + 'debug_client',duplicate = 0)

# debug_server
debug_server = SConscript('#/examples/debug_server/SConscript',variant_dir = builddir + 'debug_server',duplicate = 0)

# subprotocol_server
subprotocol_server = SConscript('#/examples/subprotocol_server/SConscript',variant_dir = builddir + 'subprotocol_server',duplicate = 0)

if not env['PLATFORM'].startswith('win'):
    # iostream_server
    iostream_server = SConscript('#/examples/iostream_server/SConscript',variant_dir = builddir + 'iostream_server',duplicate = 0)

    # telemetry_client
    telemetry_client = SConscript('#/examples/telemetry_client/SConscript',variant_dir = builddir + 'telemetry_client',duplicate = 0)

    # print_server
    print_server = SConscript('#/examples/print_server/SConscript',variant_dir = builddir + 'print_server',duplicate = 0)

=== debian/changelog ===
websocketpp (0.3.0-2) unstable; urgency=medium

  * Do not symlink jquery from doxygen, this will result in a
    broken documentation. cfr: 736360.
  * Fix package description.
  * Enable examples and tests
    - add libboost-dev, libboost-random-dev, libboost-system-dev
      and libboost-thread-dev as build-dependencies.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 25 Oct 2014 19:15:01 +0200

websocketpp (0.3.0-1) unstable; urgency=low

  * Initial release. Closes: #764177

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 05 Oct 2014 13:48:39 +0200

=== debian/control ===
Source: websocketpp
Section: libs
Priority: extra
Maintainer: Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
Build-Depends: cmake,
               debhelper (>=9),
               libboost-dev,
               libboost-random-dev,
               libboost-system-dev,
               libboost-thread-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.9.6
Homepage: https://github.com/zaphoyd/websocketpp
Vcs-Git: git://anonscm.debian.org/collab-maint/websocketpp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/websocketpp.git

Package: libwebsocketpp-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Description: C++/Boost Asio based websocket client/server library. Dev package
 WebSocket++ is a header only C++ library that implements RFC6455 The WebSocket
 Protocol. It allows integrating WebSocket client and server functionality into
 C++ programs. It uses interchangeable network transport modules including one
 based on C++ iostreams and one based on Boost Asio.
 .
 Major Features:
  * Full support for RFC6455
  * Partial support for Hixie 76 / Hybi 00, 07-17 draft specs (server only)
  * Message/event based interface
  * Supports secure WebSockets (TLS), IPv6, and explicit proxies.
  * Flexible dependency management (C++11 Standard Library or Boost)
  * Interchangeable network transport modules (iostream and Boost Asio)
  * Portable/cross platform (Posix/Windows, 32/64bit, Intel/ARM/PPC)
  * Thread-safe
 .
 This package contains the header files.

Package: libwebsocketpp-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: C++/Boost Asio based websocket client/server library. Doc package
 WebSocket++ is a header only C++ library that implements RFC6455 The WebSocket
 Protocol. It allows integrating WebSocket client and server functionality into
 C++ programs. It uses interchangeable network transport modules including one
 based on C++ iostreams and one based on Boost Asio.
 .
 Major Features:
  * Full support for RFC6455
  * Partial support for Hixie 76 / Hybi 00, 07-17 draft specs (server only)
  * Message/event based interface
  * Supports secure WebSockets (TLS), IPv6, and explicit proxies.
  * Flexible dependency management (C++11 Standard Library or Boost)
  * Interchangeable network transport modules (iostream and Boost Asio)
  * Portable/cross platform (Posix/Windows, 32/64bit, Intel/ARM/PPC)
  * Thread-safe
 .
 This package contains the common documentation.

## websocketpp 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 cmake_minimum_required (VERSION 2.6)
 
 set (WEBSOCKETPP_MAJOR_VERSION 0)
-set (WEBSOCKETPP_MINOR_VERSION 3)
+set (WEBSOCKETPP_MINOR_VERSION 4)
 set (WEBSOCKETPP_PATCH_VERSION 0)
 set (WEBSOCKETPP_VERSION ${WEBSOCKETPP_MAJOR_VERSION}.${WEBSOCKETPP_MINOR_VERSION}.${WEBSOCKETPP_PATCH_VERSION})
 
@@ -87,7 +87,14 @@
 
     # C++11 defines
     if (ENABLE_CPP11)
-        add_definitions (-D_WEBSOCKETPP_CPP11_STL_)
+        if (MSVC)
+            add_definitions (-D_WEBSOCKETPP_CPP11_FUNCTIONAL_)
+            add_definitions (-D_WEBSOCKETPP_CPP11_SYSTEM_ERROR_)
+            add_definitions (-D_WEBSOCKETPP_CPP11_RANDOM_DEVICE_)
+            add_definitions (-D_WEBSOCKETPP_CPP11_MEMORY_)
+        else()
+            add_definitions (-D_WEBSOCKETPP_CPP11_STL_)
+        endif()
     endif ()
 
     # Visual studio
@@ -106,7 +113,7 @@
         set (WEBSOCKETPP_PLATFORM_LIBS pthread rt)
         set (WEBSOCKETPP_PLATFORM_TSL_LIBS ssl crypto)
         set (WEBSOCKETPP_BOOST_LIBS system thread)
-        set (CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS} "-std=c++0x")
+        set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
         if (NOT APPLE)
             add_definitions (-DNDEBUG -Wall -Wcast-align) # todo: should we use CMAKE_C_FLAGS for these?
         endif ()

=== SConstruct ===
--- 
+++ 
@@ -101,12 +101,14 @@
    #env.Append(CCFLAGS = ['-Wconversion'])
    env.Append(CCFLAGS = ['-Wcast-align'])
    env.Append(CCFLAGS = ['-Wshadow'])
+   env.Append(CCFLAGS = ['-Wunused-parameter'])
 elif env['CXX'].startswith('clang++'):
    #env.Append(CCFLAGS = ['-Wcast-align'])
    #env.Append(CCFLAGS = ['-Wglobal-constructors'])
    #env.Append(CCFLAGS = ['-Wconversion'])
    env.Append(CCFLAGS = ['-Wno-padded'])
    env.Append(CCFLAGS = ['-Wshadow'])
+   env.Append(CCFLAGS = ['-Wunused-parameter'])
 
    # Wpadded
    # Wsign-conversion
@@ -132,7 +134,7 @@
 
 ##### Set up C++11 environment
 polyfill_libs = [] # boost libraries used as drop in replacements for incomplete
-				   # C++11 STL implementations
+                   # C++11 STL implementations
 env_cpp11 = env.Clone ()
 
 if env_cpp11['CXX'].startswith('g++'):
@@ -165,18 +167,18 @@
 # values then use it for the boost libraries. Otherwise just add them to the
 # regular CPPPATH values.
 if env['CXX'].startswith('g++') or env['CXX'].startswith('clang'):
-	env.Append(CPPFLAGS = '-isystem ' + env['BOOST_INCLUDES'])
-else:
-	env.Append(CPPPATH = [env['BOOST_INCLUDES']])
+    env.Append(CPPFLAGS = '-isystem ' + env['BOOST_INCLUDES'])
+else:
+    env.Append(CPPPATH = [env['BOOST_INCLUDES']])
 env.Append(LIBPATH = [env['BOOST_LIBS']])
 
 # if the build system is known to allow the isystem modifier for library include
 # values then use it for the boost libraries. Otherwise just add them to the
 # regular CPPPATH values.
 if env_cpp11['CXX'].startswith('g++') or env_cpp11['CXX'].startswith('clang'):
-	env_cpp11.Append(CPPFLAGS = '-isystem ' + env_cpp11['BOOST_INCLUDES'])
-else:
-	env_cpp11.Append(CPPPATH = [env_cpp11['BOOST_INCLUDES']])
+    env_cpp11.Append(CPPFLAGS = '-isystem ' + env_cpp11['BOOST_INCLUDES'])
+else:
+    env_cpp11.Append(CPPPATH = [env_cpp11['BOOST_INCLUDES']])
 env_cpp11.Append(LIBPATH = [env_cpp11['BOOST_LIBS']])
 
 releasedir = 'build/release/'

=== debian/changelog ===
websocketpp (0.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 10 Dec 2014 13:06:59 +0100

websocketpp (0.4.0-1) experimental; urgency=medium

  * New upstream release.
    - Remove 653868204a88ff04b4713a1caafd107037138a53.patch accepted upstream.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 05 Nov 2014 17:12:05 +0100

## websocketpp 0.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 cmake_minimum_required (VERSION 2.6)
 
 set (WEBSOCKETPP_MAJOR_VERSION 0)
-set (WEBSOCKETPP_MINOR_VERSION 4)
+set (WEBSOCKETPP_MINOR_VERSION 5)
 set (WEBSOCKETPP_PATCH_VERSION 0)
 set (WEBSOCKETPP_VERSION ${WEBSOCKETPP_MAJOR_VERSION}.${WEBSOCKETPP_MINOR_VERSION}.${WEBSOCKETPP_PATCH_VERSION})

=== debian/changelog ===
websocketpp (0.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 29 Jan 2015 17:10:04 +0100

## websocketpp 0.5.1

=== debian/changelog ===
websocketpp (0.5.1-1) unstable; urgency=medium

  * New upstream minor release.
  * Add libssl-dev as b-d to build all the examples binaries.
    (not shipped)
  * Add texlive-font-utils and ghostscript as b-d-i to avoid doxygen-related build errors.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 14 Mar 2015 11:30:51 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
                libboost-dev,
                libboost-random-dev,
                libboost-system-dev,
-               libboost-thread-dev
-Build-Depends-Indep: doxygen
+               libboost-thread-dev,
+               libssl-dev
+Build-Depends-Indep: doxygen, texlive-font-utils, ghostscript
 Standards-Version: 3.9.6
 Homepage: https://github.com/zaphoyd/websocketpp
 Vcs-Git: git://anonscm.debian.org/collab-maint/websocketpp.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doxygen

override_dh_auto_configure:
	# building examples and tests can spot building problems for programs using this library
	dh_auto_configure -- -DBUILD_EXAMPLES=ON -DBUILD_TESTS=ON

override_dh_auto_build-indep:
	doxygen Doxyfile

override_dh_install-indep:
	# do not install examples for now, unless somebody asks for them, probably upstream should install them
	# in a proper location, and include/echo_server seems not the best one
	rm -rf debian/tmp/usr/include/echo_server/
	dh_install -plibwebsocketpp-doc doxygen/html/*   usr/share/doc/libwebsocketpp-doc/html
	dh_install -plibwebsocketpp-dev debian/tmp/usr/* usr

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
 https://github.com/zaphoyd/websocketpp/tags .*/v?(\d\S*)\.tar\.gz

## websocketpp 0.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 cmake_minimum_required (VERSION 2.6)
 
 set (WEBSOCKETPP_MAJOR_VERSION 0)
-set (WEBSOCKETPP_MINOR_VERSION 5)
+set (WEBSOCKETPP_MINOR_VERSION 6)
 set (WEBSOCKETPP_PATCH_VERSION 0)
 set (WEBSOCKETPP_VERSION ${WEBSOCKETPP_MAJOR_VERSION}.${WEBSOCKETPP_MINOR_VERSION}.${WEBSOCKETPP_PATCH_VERSION})
 
@@ -70,7 +70,7 @@
     ############ Compiler specific setup
 
     set (WEBSOCKETPP_PLATFORM_LIBS "")
-    set (WEBSOCKETPP_PLATFORM_TSL_LIBS "")
+    set (WEBSOCKETPP_PLATFORM_TLS_LIBS "")
     set (WEBSOCKETPP_BOOST_LIBS "")
 
     # VC9 and C++11 reasoning
@@ -111,7 +111,7 @@
     # g++
     if (CMAKE_COMPILER_IS_GNUCXX)
         set (WEBSOCKETPP_PLATFORM_LIBS pthread rt)
-        set (WEBSOCKETPP_PLATFORM_TSL_LIBS ssl crypto)
+        set (WEBSOCKETPP_PLATFORM_TLS_LIBS ssl crypto)
         set (WEBSOCKETPP_BOOST_LIBS system thread)
         set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
         if (NOT APPLE)
@@ -133,7 +133,7 @@
         else()
             set (WEBSOCKETPP_PLATFORM_LIBS pthread)
         endif()
-        set (WEBSOCKETPP_PLATFORM_TSL_LIBS ssl crypto)
+        set (WEBSOCKETPP_PLATFORM_TLS_LIBS ssl crypto)
         set (WEBSOCKETPP_BOOST_LIBS system thread)
         set (CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS} "-std=c++0x -stdlib=libc++") # todo: is libc++ really needed here?
         if (NOT APPLE)

=== debian/changelog ===
websocketpp (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Add libboost-chrono-dev to b-d (not actually used)
  * Update my uid.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 16 Jun 2015 14:48:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: websocketpp
 Section: libs
 Priority: extra
-Maintainer: Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
+Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: cmake,
                debhelper (>=9),
+               libboost-chrono-dev,
                libboost-dev,
                libboost-random-dev,
                libboost-system-dev,
                libboost-thread-dev,
                libssl-dev
-Build-Depends-Indep: doxygen, texlive-font-utils, ghostscript
+Build-Depends-Indep: doxygen, ghostscript, texlive-font-utils
 Standards-Version: 3.9.6
 Homepage: https://github.com/zaphoyd/websocketpp
 Vcs-Git: git://anonscm.debian.org/collab-maint/websocketpp.git

## websocketpp 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,9 +9,11 @@
 cmake_minimum_required (VERSION 2.6)
 
 set (WEBSOCKETPP_MAJOR_VERSION 0)
-set (WEBSOCKETPP_MINOR_VERSION 6)
+set (WEBSOCKETPP_MINOR_VERSION 7)
 set (WEBSOCKETPP_PATCH_VERSION 0)
 set (WEBSOCKETPP_VERSION ${WEBSOCKETPP_MAJOR_VERSION}.${WEBSOCKETPP_MINOR_VERSION}.${WEBSOCKETPP_PATCH_VERSION})
+
+set_property(GLOBAL PROPERTY USE_FOLDERS ON)
 
 set(INSTALL_INCLUDE_DIR include CACHE PATH "Installation directory for header files")
 if (WIN32 AND NOT CYGWIN)
@@ -66,6 +68,8 @@
 option (BUILD_TESTS "Build websocketpp tests." FALSE)
 
 if (BUILD_TESTS OR BUILD_EXAMPLES)
+
+    enable_testing ()
 
     ############ Compiler specific setup
 
@@ -150,6 +154,10 @@
         list (APPEND WEBSOCKETPP_BOOST_LIBS random)
     endif()
 
+    if (BUILD_TESTS)
+        list (APPEND WEBSOCKETPP_BOOST_LIBS unit_test_framework)
+    endif()
+
     ############ Dependencies
 
     # Set BOOST_ROOT env variable or pass with cmake -DBOOST_ROOT=path.
@@ -178,6 +186,14 @@
     else ()
         set (Boost_USE_MULTITHREADED FALSE)
         set (Boost_USE_STATIC_LIBS FALSE)
+    endif ()
+
+	if (BOOST_STATIC)
+		set (Boost_USE_STATIC_LIBS TRUE)
+	endif ()
+
+    if (NOT Boost_USE_STATIC_LIBS)
+        add_definitions (/DBOOST_TEST_DYN_LINK)
     endif ()
 
     set (Boost_FIND_REQUIRED TRUE)
@@ -212,6 +228,7 @@
     endif ()
 
     find_package(OpenSSL)
+    find_package(ZLIB)
 endif()
 
 ############ Add projects
@@ -221,12 +238,12 @@
 
 # Add examples
 if (BUILD_EXAMPLES)
-    add_subdirectory (examples)
+    include_subdirs ("examples")
 endif ()
 
 # Add tests
 if (BUILD_TESTS)
-    add_subdirectory (test)
+    include_subdirs ("test")
 endif ()
 
 print_used_build_config()

=== SConstruct ===
--- 
+++ 
@@ -33,6 +33,11 @@
    env['BOOST_LIBS'] = os.environ['BOOST_LIBS']
 else:
    raise SCons.Errors.UserError, "Neither BOOST_ROOT, nor BOOST_INCLUDES + BOOST_LIBS was set!"
+
+## Custom OpenSSL
+if os.environ.has_key('OPENSSL_PATH'):
+   env.Append(CPPPATH = os.path.join(os.environ['OPENSSL_PATH'], 'include'))
+   env.Append(LIBPATH = os.environ['OPENSSL_PATH'])
 
 if os.environ.has_key('WSPP_ENABLE_CPP11'):
    env['WSPP_ENABLE_CPP11'] = True
@@ -93,8 +98,7 @@
    #env['LIBPATH'] = env['BOOST_LIBS']
    pass
 else:
-   env['LIBPATH'] = ['/usr/lib',
-                     '/usr/local/lib'] #, env['BOOST_LIBS']
+   env.Append(LIBPATH = ['/usr/lib', '/usr/local/lib'])
 
 # Compiler specific warning flags
 if env['CXX'].startswith('g++'):
@@ -110,8 +114,22 @@
    env.Append(CCFLAGS = ['-Wshadow'])
    env.Append(CCFLAGS = ['-Wunused-parameter'])
 
+   env.Append(CCFLAGS = ['-Wsometimes-uninitialized'])
+   env.Append(CCFLAGS = ['-Wuninitialized'])
+
+   #env.Append(CCFLAGS = ['-Weverything'])
+   #env.Append(CCFLAGS = ['-Wno-documentation'])
+   #env.Append(CCFLAGS = ['-Wno-weak-vtables'])
+   #env.Append(CCFLAGS = ['-Wno-global-constructors'])
+   #env.Append(CCFLAGS = ['-Wno-sign-conversion'])
+   #env.Append(CCFLAGS = ['-Wno-exit-time-destructors'])
+
+
+
+
    # Wpadded
    # Wsign-conversion
+   #
 
 platform_libs = []
 tls_libs = []
@@ -213,6 +231,9 @@
 # echo_server
 echo_server = SConscript('#/examples/echo_server/SConscript',variant_dir = builddir + 'echo_server',duplicate = 0)
 
+# echo_client
+echo_client = SConscript('#/examples/echo_client/SConscript',variant_dir = builddir + 'echo_client',duplicate = 0)
+
 # echo_server_tls
 if tls_build:
     echo_server_tls = SConscript('#/examples/echo_server_tls/SConscript',variant_dir = builddir + 'echo_server_tls',duplicate = 0)
@@ -227,8 +248,12 @@
 # testee_client
 testee_client = SConscript('#/examples/testee_client/SConscript',variant_dir = builddir + 'testee_client',duplicate = 0)
 
-# utility_client
-utility_client = SConscript('#/examples/utility_client/SConscript',variant_dir = builddir + 'utility_client',duplicate = 0)
+# scratch_client
+scratch_client = SConscript('#/examples/scratch_client/SConscript',variant_dir = builddir + 'scratch_client',duplicate = 0)
+
+# scratch_server
+scratch_server = SConscript('#/examples/scratch_server/SConscript',variant_dir = builddir + 'scratch_server',duplicate = 0)
+
 
 # debug_client
 debug_client = SConscript('#/examples/debug_client/SConscript',variant_dir = builddir + 'debug_client',duplicate = 0)
@@ -238,6 +263,12 @@
 
 # subprotocol_server
 subprotocol_server = SConscript('#/examples/subprotocol_server/SConscript',variant_dir = builddir + 'subprotocol_server',duplicate = 0)
+
+# telemetry_server
+telemetry_server = SConscript('#/examples/telemetry_server/SConscript',variant_dir = builddir + 'telemetry_server',duplicate = 0)
+
+# external_io_service
+external_io_service = SConscript('#/examples/external_io_service/SConscript',variant_dir = builddir + 'external_io_service',duplicate = 0)
 
 if not env['PLATFORM'].startswith('win'):
     # iostream_server

=== examples/echo_server_both/CMakeLists.txt ===

file (GLOB SOURCE_FILES *.cpp)
file (GLOB HEADER_FILES *.hpp)


if (OPENSSL_FOUND)

init_target (echo_server_both)

build_executable (${TARGET_NAME} ${SOURCE_FILES} ${HEADER_FILES})

link_boost ()
link_openssl()
final_target ()

set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "examples")

endif()

=== examples/utility_client/CMakeLists.txt ===

file (GLOB SOURCE_FILES *.cpp)
file (GLOB HEADER_FILES *.hpp)

init_target (utility_client)

build_executable (${TARGET_NAME} ${SOURCE_FILES} ${HEADER_FILES})

link_boost ()
final_target ()

set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "examples")

=== debian/changelog ===
websocketpp (0.7.0-8) experimental; urgency=medium

  * Add scons tests, run them on every architecture.
    - this means change from arch:all to arch:any

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 30 Apr 2017 16:17:08 +0200

websocketpp (0.7.0-7) unstable; urgency=medium

  [ Kurt Roeckx]
  * debian/patches/0001-Fix-issue-599.patch:
    - refactor patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Nov 2016 21:38:35 +0100

websocketpp (0.7.0-6) unstable; urgency=medium

  * Bump compat level to 10
  * Bump std-version to 3.9.8
  * Use openssl 1.0
  * debian/patches/0001-Fix-issue-599.patch:
    - fix build failure with new openssl
  * debian/patches/0001-Avoid-useless-if-statement.patch:
    - fix warning for the previous patch.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Nov 2016 12:16:21 +0100

websocketpp (0.7.0-5) unstable; urgency=medium

  * Update copyright year
  * Disable also test_transport test.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Feb 2016 19:29:25 +0100

websocketpp (0.7.0-4) unstable; urgency=medium

  * d/p/disable-tests.patch: disable test failing on Debian buildds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Feb 2016 18:10:30 +0100

websocketpp (0.7.0-3) unstable; urgency=medium

  *  Fix VCS fields URI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Feb 2016 16:03:39 +0100

websocketpp (0.7.0-2) unstable; urgency=medium

  * Bump watch file version to 4.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Feb 2016 15:58:06 +0100

websocketpp (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Add libboost-test-dev to b-d
  * Build examples and run testsuite on them.
  * Bump std-version to 3.9.7, no changes required.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Feb 2016 15:09:31 +0100

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,25 @@
 Priority: extra
 Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: cmake,
-               debhelper (>=9),
+               debhelper (>=10),
                libboost-chrono-dev,
                libboost-dev,
                libboost-random-dev,
                libboost-system-dev,
+               libboost-test-dev,
                libboost-thread-dev,
-               libssl-dev
+               libssl-dev,
+               zlib1g-dev,
+               scons
 Build-Depends-Indep: doxygen, ghostscript, texlive-font-utils
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/zaphoyd/websocketpp
-Vcs-Git: git://anonscm.debian.org/collab-maint/websocketpp.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/websocketpp.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/websocketpp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/websocketpp.git
 
 Package: libwebsocketpp-dev
 Section: libdevel
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends}
 Description: C++/Boost Asio based websocket client/server library. Dev package
  WebSocket++ is a header only C++ library that implements RFC6455 The WebSocket

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -16,6 +16,7 @@
 
 override_dh_auto_build-indep:
 	doxygen Doxyfile
+	dh_auto_build
 
 override_dh_install-indep:
 	# do not install examples for now, unless somebody asks for them, probably upstream should install them
@@ -23,3 +24,7 @@
 	rm -rf debian/tmp/usr/include/echo_server/
 	dh_install -plibwebsocketpp-doc doxygen/html/*   usr/share/doc/libwebsocketpp-doc/html
 	dh_install -plibwebsocketpp-dev debian/tmp/usr/* usr
+
+override_dh_auto_test:
+	dh_auto_test
+	BOOST_LIBS=/usr/lib/$(DEB_HOST_MULTIARCH) BOOST_INCLUDES=/usr/include/boost scons test

## websocketpp 0.8.0

=== debian/changelog ===
websocketpp (0.8.0-2) unstable; urgency=medium

  * Fix lintian issue wrt nocheck usage
  * Make copyright file in secure mode
  * Do not install files
  * Drop examples hack in rules file, now we have a patch
  * Install example files

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Jul 2018 19:43:56 +0200

websocketpp (0.8.0-1) unstable; urgency=medium

  * Re-enable scons tests, seems more reliable with upcoming 0.8.0
  * New upstream release
  * Bump std-version to 4.1.5
  * Drop other files not meant to be installed
  * Fix testsuite by forcing no-parallel (parallel build means the same port
    already taken by similar tests)
  * debian/patches/0001-Fix-testsuite-errors-due-to-a-Connection-upgrade-
    - add testsuite with scons

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Jun 2017 14:32:13 +0200

websocketpp (0.7.0-12) unstable; urgency=medium

  * VCS field: switch to salsa
  * Bump std-version to 4.1.4, drop priority extra, move to optional

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 29 Apr 2018 19:56:40 +0200

websocketpp (0.7.0-11) unstable; urgency=medium

  * Bump std-version to 4.0.0
  * Fix installation after switch to arch:any
    (Closes: #866987)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Jul 2017 18:04:30 +0200

websocketpp (0.7.0-10) unstable; urgency=medium

  * Upload to unstable
  * Ignore scons test results, they are flaky

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Jun 2017 11:22:14 +0200

websocketpp (0.7.0-9) experimental; urgency=medium

  * debian/patches/9ddb300d874a30db35e3ad58f188944bef0bf31b.patch:
  * debian/patches/4cab5e5c0c5f19fcee7d37b4a38b156d63a150d4.patch:
    - upstream build fixes for failure with new zlib 1.2.11
  * Improve clean target, remove also scons build artifacts.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Jun 2017 08:54:37 +0200
